/*
 Navicat Premium Data Transfer

 Source Server         : Express
 Source Server Type    : SQL Server
 Source Server Version : 11002100
 Source Host           : 1072PROG\SQLEXPRESS:1433
 Source Catalog        : LoadQ
 Source Schema         : dbo

 Target Server Type    : SQL Server
 Target Server Version : 11002100
 File Encoding         : 65001

 Date: 09/10/2017 12:08:00
*/


-- ----------------------------
-- Table structure for fstr
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[fstr]') AND type IN ('U'))
	DROP TABLE [dbo].[fstr]
GO

CREATE TABLE [dbo].[fstr] (
  [strvalue] varchar(8000) COLLATE Cyrillic_General_CI_AS NULL
)
GO

ALTER TABLE [dbo].[fstr] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Table structure for person
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[person]') AND type IN ('U'))
	DROP TABLE [dbo].[person]
GO

CREATE TABLE [dbo].[person] (
  [id] int NOT NULL,
  [Name] varchar(200) COLLATE Cyrillic_General_CI_AS NOT NULL,
  [Info] varchar(100) COLLATE Cyrillic_General_CI_AS NULL,
  [Birthday] datetime NULL,
  [Sum1] numeric(18) NULL,
  [Sum2] numeric(18) NULL,
  [Sum3] numeric(18) NULL,
  [town_id] int NULL
)
GO

ALTER TABLE [dbo].[person] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Records of [person]
-- ----------------------------
BEGIN TRANSACTION
GO

INSERT INTO [dbo].[person]  VALUES (N'1', N'Иванов Иван Иванович', N'Программист', N'2000-10-01 10:00:00.000', N'1000', N'2000', N'3000', N'1'), (N'2', N'Петров Петр Петрочич', N'Начальник', N'2000-01-10 10:00:00.000', N'2000', N'3000', N'40000', N'3'), (N'3', N'Сидоров Сидор Сидорович', N'Дворник', N'2000-01-10 10:00:00.000', N'3000', N'5000', N'7000', N'2'), (N'4', N'Философов Юрий Викторович', N'Программист', N'1959-05-24 00:00:00.000', N'2000', N'4000', N'5000', N'4')
GO

COMMIT
GO


-- ----------------------------
-- Table structure for town
-- ----------------------------
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[town]') AND type IN ('U'))
	DROP TABLE [dbo].[town]
GO

CREATE TABLE [dbo].[town] (
  [id] int NOT NULL,
  [name] varchar(200) COLLATE Cyrillic_General_CI_AS NULL
)
GO

ALTER TABLE [dbo].[town] SET (LOCK_ESCALATION = TABLE)
GO


-- ----------------------------
-- Records of [town]
-- ----------------------------
BEGIN TRANSACTION
GO

INSERT INTO [dbo].[town]  VALUES (N'1', N'Москва'), (N'2', N'Петербург'), (N'3', N'Вологда'), (N'4', N'Саратов'), (N'5', N'Волгоград'), (N'6', N'Астрахань'), (N'7', N'Самара'), (N'8', N'Оренбург')
GO

COMMIT
GO


-- ----------------------------
-- Indexes structure for table person
-- ----------------------------
CREATE NONCLUSTERED INDEX [IX_person_Name]
ON [dbo].[person] (
  [Name] ASC
)
GO

CREATE NONCLUSTERED INDEX [IX_person_Town]
ON [dbo].[person] (
  [id] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table person
-- ----------------------------
ALTER TABLE [dbo].[person] ADD CONSTRAINT [PK_person] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Indexes structure for table town
-- ----------------------------
CREATE NONCLUSTERED INDEX [IX_town]
ON [dbo].[town] (
  [id] ASC
)
GO


-- ----------------------------
-- Primary Key structure for table town
-- ----------------------------
ALTER TABLE [dbo].[town] ADD CONSTRAINT [PK_town] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


-- ----------------------------
-- Foreign Keys structure for table person
-- ----------------------------
ALTER TABLE [dbo].[person] ADD CONSTRAINT [FK_person_] FOREIGN KEY ([id]) REFERENCES [person] ([id]) ON DELETE NO ACTION ON UPDATE NO ACTION
GO

